diff --git a/CHANGELOG b/CHANGELOG
index 3362689..2aacdc7 100644
--- a/CHANGELOG
+++ b/CHANGELOG
@@ -22,6 +22,7 @@
 - fix file handle leak in included map lookup.
 - fix "-fstype=nfs4" server probing.
 - set close-on-exec flag on open files where possible.
+- fix parsing of numeric host names in LDAP map specs.
 
 1/9/2006 autofs-5.0.1 rc2
 -------------------------
diff --git a/lib/master_tok.l b/lib/master_tok.l
index a70b533..a699797 100644
--- a/lib/master_tok.l
+++ b/lib/master_tok.l
@@ -95,7 +95,9 @@ NUMBER		[0-9]+
 
 DNSERVSTR1	([[:alpha:]][[:alnum:]\-.]*(:[0-9]+)?:)
 DNSERVSTR2	(\/\/[[:alpha:]][[:alnum:]\-.]*(:[0-9]+)?\/)
-DNSERVERSTR	{DNSERVSTR1}|{DNSERVSTR2}
+DNSERVSTR3	(([[:digit:]]{1,3}\.){3}[[:digit:]]{1,3}(:[0-9]+)?:)
+DNSERVSTR4	(\/\/([[:digit:]]{1,3}\.){3}[[:digit:]]{1,3}(:[0-9]+)?\/)
+DNSERVERSTR	{DNSERVSTR1}|{DNSERVSTR2}|{DNSERVSTR3}|{DNSERVSTR4}
 DNATTRSTR	(ou|cn|nisMapName|automountMapName|dc)
 DNNAMESTR	([[:alnum:]_.\-]+)
 
